Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/GSERunner.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/GSERunner.java	(revision 926)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/GSERunner.java	(revision 927)
@@ -21,9 +21,12 @@
 import org.osgi.framework.BundleContext;
 import org.osgi.framework.wiring.BundleWiring;
 import org.txm.Toolbox;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.TXMClassLoader;
 import org.txm.utils.logger.Log;
 
+import cern.colt.Arrays;
+
 /**
  * gse wrapper for TXM scripts and macros
  * 
@@ -51,7 +54,8 @@
 	 * @param script
 	 * @return
 	 */
-	public static GSERunner buildDefaultGSE(String scriptRootDir, File script) {
+	public static GSERunner buildDefaultGSE(File script) {
+		String scriptRootDir = Toolbox.getPreference(TBXPreferences.USER_TXM_HOME)+"/scripts";
 		if (defaultScriptRootDir.equals(scriptRootDir) &&  defaultGSE != null) {
 			try {
 				defaultGSE.getGroovyClassLoader().addURL(new URL("file://"+script.getParent()));
@@ -74,6 +78,7 @@
 
 		try {
 			defaultScriptRootDir = scriptRootDir;
+			Log.info("GSE roots: "+Arrays.toString(roots));
 			defaultGSE = new GSERunner(roots);
 		} catch (IOException e) {
 			e.printStackTrace();
Index: tmp/org.txm.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 926)
+++ tmp/org.txm.rcp/META-INF/MANIFEST.MF	(revision 927)
@@ -32,7 +32,8 @@
  org.txm.tokenizer.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
  org.txm.statsengine.core,
- org.eclipse.ui.themes;bundle-version="1.2.1"
+ org.eclipse.ui.themes;bundle-version="1.2.1",
+ org.txm.annotation.core
 Export-Package: junit.extensions,
  junit.framework,
  junit.runner,
Index: tmp/org.txm.utils/src/org/txm/utils/treetagger/TreeTagger.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/treetagger/TreeTagger.java	(revision 926)
+++ tmp/org.txm.utils/src/org/txm/utils/treetagger/TreeTagger.java	(revision 927)
@@ -849,4 +849,8 @@
 	public static void main(String[] args) {
 
 	}
+
+	public void kill() {
+		//TODO uses TreeTagger4j and manage the process
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 926)
+++ tmp/org.txm.utils/src/org/txm/utils/io/IOUtils.java	(revision 927)
@@ -83,6 +83,12 @@
 		return new BufferedReader(new InputStreamReader(inputStream , "UTF-8")); //$NON-NLS-1$
 	}
 
+	public static void setText(File file, String text, String encoding) throws IOException {
+		PrintWriter writer = getWriter(file, encoding);
+		writer.print(text);
+		writer.close();
+	}
+	
 	public static String getText(URL url, String encoding) throws IOException {
 		BufferedReader reader = getReader(url, encoding);
 		StringBuilder builder = new StringBuilder();
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Match.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Match.java	(revision 926)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/query/Match.java	(revision 927)
@@ -27,13 +27,12 @@
 //
 package org.txm.searchengine.cqp.corpus.query;
 
-import groovy.lang.IntRange;
-
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.List;
 
+import org.apache.commons.lang.math.IntRange;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -275,8 +274,10 @@
 		return (end - start);
 	}
 
-	public Collection<? extends Integer> getRange() {
-		return new IntRange(start, end);
+	public List<Integer> getRange() {
+		List<Integer> ret = new ArrayList<Integer>(end-start);
+		for (int i = start ; i < end; i++) ret.add(i);
+		return ret;
 	}
 
 	public void setEnd(int p) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 926)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 927)
@@ -43,6 +43,7 @@
 	 *
 	 * @return true, if successful
 	 */
+	@Override
 	public boolean start(IProgressMonitor monitor) throws Exception {
 
 		if (monitor != null) monitor.subTask("Starting Corpus Engine...");
@@ -282,6 +283,7 @@
 	/**
 	 * Shut the toolbox searchengine down.
 	 */
+	@Override
 	public boolean stop() {
 		try {
 			if (cqiClient instanceof MemCqiClient) {
Index: tmp/org.txm.para.core/src/org/txm/para/core/functions/ParallelContexts.java
===================================================================
--- tmp/org.txm.para.core/src/org/txm/para/core/functions/ParallelContexts.java	(revision 926)
+++ tmp/org.txm.para.core/src/org/txm/para/core/functions/ParallelContexts.java	(revision 927)
@@ -1,7 +1,5 @@
 package org.txm.para.core.functions;
 
-import groovy.lang.IntRange;
-
 import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Collections;
@@ -9,6 +7,7 @@
 import java.util.LinkedHashMap;
 import java.util.List;
 
+import org.apache.commons.lang.math.IntRange;
 import org.txm.Toolbox;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPSearchEngine;
@@ -184,7 +183,7 @@
 				//System.out.println("seg matches: "+matches);
 				ArrayList<Integer> positions = new ArrayList<Integer>();
 				for (Match m : matches) {
-					groovy.lang.IntRange range = (IntRange) m.getRange();
+					List<Integer> range = m.getRange();
 
 					int minpos = range.get(0);
 					int maxpos = range.get(range.size()-1);
